<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/


session_start(); 
?>
<?php if ((@$HTTP_SESSION_VARS["etat_log"] <> "connecte") or ((@$HTTP_SESSION_VARS["niv_log"] <> 9) AND (@$HTTP_SESSION_VARS["niv_log"] <> 5))) header("Location: ../index.php") ?>
<?PHP include ("../inc/config.inc.php") ?>
<?PHP require ("../inc/func.inc.php") ?>
<?PHP require ("../inc/func_log.inc.php") ?>
<?php require ("../inc/func_txt.inc.php") ?>
<?PHP require ("../inc/fic.inc.php") ?>
<?php include("../classes/fckeditor/fckeditor.php") ; ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?PHP
	$td = strip_tags(trim($_GET['typ']));
	$coderech = strip_tags(trim($_GET['code']));
	
	if ($coderech <> "")
	{
		// Récupération des informations contrat
		$row = lit_enr_co($coderech);
		extract ($row);

		if ($td == "add")
		{
			$co_code = "(2)".$coderech;
			$co_code = substr($co_code,0,10); // Le code ne doit pas dépasser 10 caractères
			$co_nom = ""; // RAZ du nom pour nouveau nom
			$titre = "CREATION CONTRAT TYPE";
		}

		if ($td == "edit")
			$titre = "MISE A JOUR CONTRAT TYPE";

		if ($td == "del")
			$titre = "SUPPRESSION CONTRAT TYPE";
	}
	else
	{
		if ($td == "add")
		{
			// Récupération du texte "master" des conditions générales de vente pour les contrats
			
			$row = lit_enr_txt("CON_CGV_MASTER");
			extract($row);
			
			$co_cgv = $txt_texte;

			$titre = "CREATION CONTRAT TYPE";
		}
	}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche Contrat Type</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<!-- Affichage nouvelle fenêtre pour impression -->
<script type="text/javascript">
	function lanceimp(page)
	{
	  window.open(page,'impression','width='+screen.width+' height='+screen.height);
	}
</script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
var tab1_champ=new Array(
	"nom:code ; format:alphanum ; req:Y ; txt:Code; lmx:20 ; stok:frmok ; stbad:frmbad",
	"nom:nom ; format:txt ; req:Y ; txt:Nom ; lmx:50 ; stok:frmok ; stbad:frmbad",
	"nom:desc ; format:txt ; req:Y ; txt:Descriptif; stok:frmok ; stbad:frmbad");
</script>

</head>

<body>

<?PHP 
	include_once ("../inc/entete.php"); 
?>

<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<table width="100%"  border="0">
<tr>
	<td width="33%"><strong><em><a href="co_lst.php">Retour &agrave; la liste</a></em></strong></td>
	<td width="33%" bgcolor="#FF0000">
		<div align="center"><span class="titrerubrique1">Descriptif</span></div>
	</td>
	<td width="33%">
		<div align="right">
		<?PHP
		if ($td == "edit")
		{
			$urlimp = "co_maji.php?code=".$coderech;
		?>
			<a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")><img src="../img/print.gif" title="Imprimer la fiche" width="22" height="22" border="0" align="abddle"></a> <a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")> Imprimer la fiche </a></div>
		<?PHP } ?>
		</div>
	</td>
</tr>
</table>
<div align="center">
    <span class="annot_gras_it">(<img src="../img/oblig.gif" width="10" height="11"> : Saisie obligatoire)</span>
</div>

<form name="co_maj" id="co_maj" method="post" action="co_enr.php" onSubmit="javascript:; return (VForm(this,tab1_champ,''));">
      <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
      <input name="typdde" type="hidden" id="typdde" value="<?PHP echo $td ?>">

<table width="100%"  border="0">
<tr>
	<td width="20%" class="rubfrm" id="f_code"><div align="right">Code</div></td>
	<td>
	<?PHP if ($td == "add") { ?>
		<input name="code" type="text" id="code" value="<?PHP echo $co_code ?>" size="10" maxlength="10" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.gif" width="10" height="11">
	<?PHP } else { ?>
		<input name="code" type="text" id="code" value="<?PHP echo $co_code ?>" size="10" maxlength="10" readonly="1">
	<?PHP } ?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_nom"><div align="right">Nom</div></td>
	<td>
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
		?>
			<input name="nom" type="text" id="nom" value="<?PHP echo $co_nom ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toUpperCase();"> 
			<img src="../img/oblig.gif" width="10" height="11">
		<?PHP
		}
		else
		{
		?>
			<input name="nom" type="text" id="nom" value="<?PHP echo $co_nom ?>" size="50" readonly="1"> 
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_desc"><div align="right">Descriptif</div></td>
	<td>
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
		?>
			<textarea name="desc" cols="90" rows="5" id="desc"><?PHP echo $co_desc ?></textarea>
			<img src="../img/oblig.gif" width="10" height="11">
		<?PHP
		}
		else
		{
		?>
			<textarea name="desc" cols="90" rows="5" readonly="readonly" id="desc"><?PHP echo $co_desc ?></textarea>
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td valign="top" class="rubfrm" id="f_cgv"><div align="right">
		Conditions g&eacute;n&eacute;rales de vente du contrat (par l'agence)
		</div>
	</td>
	<td valign="top">
		<?PHP
		if (($td == "add") OR ($td == "edit"))
		{
			$sBasePath = $_SERVER['PHP_SELF'] ;
			$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
			
			$oFCKeditor = new FCKeditor('FCKeditor1') ;
			$oFCKeditor->BasePath	= $sBasePath;
			$oFCKeditor->Value		= $co_cgv;
			$oFCKeditor->Height 	= '400';
			$oFCKeditor->ToolbarSet = 'SMI';
			$oFCKeditor->Create();
		?>
        <img src="../img/oblig.gif" width="10" height="11" align="top"> 
		<?PHP
		}
		else
		{
		?>
			<textarea name="texte" cols="90" rows="10" readonly="readonly" id="texte"><?PHP echo $co_cgv ?></textarea>
		<?PHP
		}
		?>
	</td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_actif"><div align="right">Actif</div></td>
<td>
	<?PHP 
	if ($td == "add")
	{ 
		echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
		echo "<option value=\"1\">Oui</option>";
		echo "<option value=\"0\" selected>Non</option>";
		echo "</select>";
	}
	
	if (($td == "edit") OR ($td == "del"))
	{ 
		if ($co_actif == TRUE)
		{
			echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
			echo "<option value=\"1\" selected>Oui</option>";
			echo "<option value=\"0\">Non</option>";
			echo "</select>";
		}
		else
		{
			echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
			echo "<option value=\"1\">Oui</option>";
			echo "<option value=\"0\" selected>Non</option>";
			echo "</select>";
		}
	}
	?>
	<img src="../img/oblig.gif" width="10" height="11"> </td>
</tr>
<tr>
	<td width="20%" class="rubfrm" id="f_actif" align="right">Sp&eacute;cifique</td>
<td>
	<?PHP 
	if ($td == "add")
	{ 
		echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
		echo "<option value=\"1\">Oui</option>";
		echo "<option value=\"0\" selected>Non</option>";
		echo "</select>";
	}
	
	if (($td == "edit") OR ($td == "del"))
	{ 
		if ($co_specif == TRUE)
		{
			echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
			echo "<option value=\"1\" selected>Oui</option>";
			echo "<option value=\"0\">Non</option>";
			echo "</select>";
		}
		else
		{
			echo "<select name=\"specif\" size=\"1\" id=\"specif\">";
			echo "<option value=\"1\">Oui</option>";
			echo "<option value=\"0\" selected>Non</option>";
			echo "</select>";
		}
	}
	?>
	<img src="../img/oblig.gif" width="10" height="11"> <br>
	<span class="annot_petit_it">(Si sp&eacute;cifique, utilisable en espace priv&eacute;, mais pas affich&eacute; dans l'espace publique)</span></td>
</tr>
</table>
<p align="center">
<?PHP if (($td == "add") OR ($td == "edit")) { ?>
	<input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser">
	<input name="submit" type="submit" id="submit" value="Enregistrer">
<?PHP } ?>
<?PHP if ($td == "del") { ?>
	<input name="del" type="submit" id="del" value="Supprimer">
	<input name="annul" type="button" id="annul" value="Annuler" onclick="javascript:; history.back();">
<?PHP } ?>
</p>
</form>
<p>&nbsp;</p>
<?PHP if ($td == "del") 
{
?>
	<script>
	warndelco();
	</script>
<?PHP
}
?>
	
<?php 
	include_once ("pied.php")
?>
